org.eclipse.rap.fileupload

## Class FileUploadReceiver

- java.lang.Object
- - org.eclipse.rap.fileupload.FileUploadReceiver

Direct Known Subclasses:
  DiskFileUploadReceiver

    public abstract class FileUploadReceiver
    extends java.lang.Object

Instances of this interface are responsible for reading and processing the data from a file upload.

### Constructor Summary

Constructors
Constructor and Description
`FileUploadReceiver()`

### Method Summary

Methods
`abstract void` `receive(java.io.InputStream stream, FileDetails details)` Reads and processes all data from the provided input stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileUploadReceiver

    public FileUploadReceiver()

### Method Detail

#### receive

    public abstract void receive(java.io.InputStream stream,
               FileDetails details)
                          throws java.io.IOException

Reads and processes all data from the provided input stream.

Parameters:
  `stream` - the stream to read from
  `details` - the details of the uploaded file like file name, content-type and size
Throws:
  `java.io.IOException` - if an input / output error occurs

Copyright (c) EclipseSource and others 2002, 2018. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0